Subject: Re: [v6ops] Internet engineers tear into United Nations' plan to move us all to IPv6 • The Register

From: Lee Howard <[email-masked]>
Date: Fri, 1 Jun 2018 09:43:28 -0400

On 05/31/2018 05:32 PM, Brian E Carpenter wrote:
> On 01/06/2018 03:35, Lee Howard wrote:
>> I note that the IAB had a measured response:
>>
>> https://www.ietf.org/lib/dt/documents/LIAISON/liaison-2018-04-04-iab-itu-t-sg-20-response-to-liaison-1546-attachment-1.pdf
>>
>> I support that statement.
> I'm a little puzzled why this list wasn't informed of this statement
> at the time.

It didn't occur to me. Suresh informed the list when the SG20 liaison 
was originally sent.
I plead short-timer syndrome, since it was right around my last IETF on 
the IAB and as WG chair, and I was largely focused on clearing my plate 
of the thing right in front of me. I also didn't want to represent an 
IAB statement as an IETF consensus statement, but forwarding the 
statement to the list would not have created that confusion.

I think it is common for liaison statements to be sent to the IETF list, 
but I don't think it went there.

So, I completely own this, I'm the person who should have done it, and I 
allowed myself to get stuck into tunnel vision and did not think about 
how the broader IETF community would be interested in what we said.

I apologize for that.

Lee

>
>> Bearing in mind that I have no official position, and therefore any
>> opinions expressed below are mine only:
>>
>> The IETF, and any working group in it, has only one way to make a
>> statement: an RFC from the IETF stream. No other kind of document
>> requires IETF consensus, which is the only way to reflect an IETF
>> statement. I am skeptical that we can generate a timely consensus document.
>>
>> We don't need to say, "Stay out of our sandbox." Turf wars are stupid:
>> as engineers, we don't care who does the work, we care about the quality
>> of the work. Getting defensive is a sign that we care more about
>> protecting some interest than about making the Internet work better.
>>
>> Comments about the technical problems with the proposed model are
>> appropriate. I would include implementation considerations, such as the
>> potential for people to think the model is compulsory, or overrides
>> other local network considerations. However, I have no reason to believe
>> that comments on v6ops or other IETF mailing lists will be received by SG20.
> They can be, via our liaison channel. But it seems to be too late now
> (see above comment).
>
>      Brian
>
>> On those bases, RIPE may be a more effective place for discussion.
>>
>> Lee
>>
>>
>> On 05/30/2018 11:51 PM, Brian E Carpenter wrote:
>>> Ignoring the journalistic exaggerations in the article (2nd link below),
>>> do we have a liaison comment going to the ITU about this draft?
>>> https://regmedia.co.uk/2018/05/30/itu-ipv6-may18.pdf
>>> It seems to be an excellent recipe for burning up address space.
>>> The due date appears to be now.
>>>
>>> http://www.theregister.co.uk/2018/05/30/internet_engineers_united_nations_ipv6/
>>>
>>> Regards
>>>      Brian
>>>
>>>
>>> _______________________________________________
>>> v6ops mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/v6ops
>> _______________________________________________
>> v6ops mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/v6ops
>>

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 2 Jun 2018 15:13:52 +1200

> how the broader IETF community would be interested in what we said.

No, please don't, but thanks for explaining. I think the RIPE people have done
a good job on technical feedback, anyway.

   Brian

---

From: Jen Linkova <[email-masked]>
Date: Tue, 5 Jun 2018 11:15:41 +1000

> It didn't occur to me. Suresh informed the list when the SG20 liaison was
> originally sent.
> I plead short-timer syndrome, since it was right around my last IETF on the
> IAB and as WG chair, and I was largely focused on clearing my plate of the
> thing right in front of me. I also didn't want to represent an IAB statement
> as an IETF consensus statement, but forwarding the statement to the list
> would not have created that confusion.
>
> I think it is common for liaison statements to be sent to the IETF list, but
> I don't think it went there.
>
> allowed myself to get stuck into tunnel vision and did not think about how
> the broader IETF community would be interested in what we said.

[RIPE IPv6 WG co-chair hat on]  it's not your fault - I missed it as
well. I knew about the IAB response
and I *was told* the proposal was sent to the WG. So I *assumed* it
was (as I'm constantly behind my mailing
list subscriptions) and I did not verify it was discussed here.

Anyway the RIPE WG was very consistent in their feedback (and
discussion continued in the mailing list after the meeting,
https://www.ripe.net/ripe/mail/archives/ipv6-wg/2018-May/thread.html)

-- 
SY, Jen Linkova aka Furry